lablgl (1:1.07-2build8) resolute; urgency=medium

  * No change rebuild with fixed amd64v3 builders

 -- Sebastien Bacher <seb128@ubuntu.com>  Wed, 25 Feb 2026 15:24:50 +0100

lablgl (1:1.07-2build7) resolute; urgency=medium

  * Rebuild against new OCAML ABIs.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sat, 24 Jan 2026 03:07:08 +0100

lablgl (1:1.07-2build6) resolute; urgency=medium

  * Rebuild against new OCAML ABIs.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 29 Dec 2025 09:54:33 +0100

lablgl (1:1.07-2build5) questing; urgency=medium

  * Rebuild against new OCAML ABIs.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 02 Jul 2025 06:18:55 +0200

lablgl (1:1.07-2build4) questing; urgency=medium

  * Rebuild against new OCAML ABIs.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 16 Jun 2025 20:13:05 +0200

lablgl (1:1.07-2build3) plucky; urgency=medium

  * Rebuild against new OCAML ABI.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 12 Feb 2025 21:21:25 +0100

lablgl (1:1.07-2build2) plucky; urgency=medium

  * Rebuild against new OCAML ABI.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 29 Jan 2025 10:56:05 +0100

lablgl (1:1.07-2build1) oracular; urgency=medium

  * Rebuild against new OCAML ABIs.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 09 Aug 2024 14:22:00 +0200

lablgl (1:1.07-2) unstable; urgency=medium

  * Fix compilation with gcc-14 and OCaml 5.2.0 (Closes: #1075125,
    #1073883)

 -- Stéphane Glondu <glondu@debian.org>  Tue, 06 Aug 2024 12:55:02 +0200

lablgl (1:1.07-1) unstable; urgency=medium

  * New upstream release

 -- Stéphane Glondu <glondu@debian.org>  Sat, 30 Sep 2023 21:27:30 +0200

lablgl (1:1.06-2) unstable; urgency=medium

  [ Stéphane Glondu ]
  * Remove Lifeng from Uploaders (Closes: #925012)
  * Add Rules-Requires-Root: no
  * Bump Standards-Version to 4.6.2

  [ Debian Janitor ]
  * Update watch file format version to 4.
  * Bump debhelper from old 12 to 13.
  * Set debhelper-compat version in Build-Depends.
  * Set upstream metadata fields: Repository-Browse.
  * Remove constraints unnecessary since buster (oldstable):
    + Build-Depends: Drop versioned constraint on dh-ocaml, dpkg-dev and ocaml.
  * Remove constraints unnecessary since buster (oldstable):
    + Build-Depends: Replace dependency on transitional package
      x11proto-core-dev with replacement x11proto-dev.

 -- Stéphane Glondu <glondu@debian.org>  Sat, 02 Sep 2023 08:44:30 +0200

lablgl (1:1.06-1) unstable; urgency=medium

  * New upstream release
    - remove camlp4 from Build-Depends
  * Update Vcs-*
  * Bump Standards-Version to 4.4.0
  * Remove Samuel from Uploaders
  * Bump debhelper compat level to 12
  * Update Homepage and debian/watch

 -- Stéphane Glondu <glondu@debian.org>  Wed, 07 Aug 2019 11:05:06 +0200

lablgl (1:1.05-3) unstable; urgency=medium

  * Switch to the default Tcl/Tk version from 8.5 since 8.5 is to be removed
    from Debian. Thanks to Sergei Golovan for the patch! (closes: #892990)
  * debian/copyright:
    - change license short name "BSD" to "BSD-3-clause"
    - add short license names GPL-2+, LGPL-2.1
    - https in format specifier
  * Standards-Version 4.1.3
  * debhelper compat level 11

 -- Ralf Treinen <treinen@debian.org>  Fri, 16 Mar 2018 09:44:22 +0100

lablgl (1:1.05-2) unstable; urgency=medium

  * Add liblabltk-ocaml-dev to Build-Depends

 -- Stéphane Glondu <glondu@debian.org>  Sat, 10 Oct 2015 06:54:02 +0200

lablgl (1:1.05-1) unstable; urgency=medium

  * New upstream release

 -- Stéphane Glondu <glondu@debian.org>  Tue, 17 Dec 2013 15:31:14 +0100

lablgl (20120306-2) unstable; urgency=low

  * Upload to unstable

 -- Stéphane Glondu <glondu@debian.org>  Tue, 03 Dec 2013 00:38:29 +0100

lablgl (20120306-1) experimental; urgency=low

  [ Ralf Treinen ]
  * Minor language corrections in package descriptions.
  * Fixed spelling error in lablgl.1 manpage.

  [ Mehdi Dogguy ]
  * Fix version number in META
  * Add myself to uploaders

  [ Sylvain Le Gall ]
  * Remove Sylvain Le Gall from uploaders

  [ Lifeng Sun ]
  * New upstream release.
  * Bump debhelper compat level to 9.
  * debian/copyright: switch to Machine-readable format.
  * debian/control:
    - Bump Standards-Version to 3.9.4.
    - Add myself to Uploaders.
    - Update Homepage.
    - Canonical VCS-* fields.
    - liblablgl-ocaml-dev:
      + depends on ocaml-findlib.
      + minor changes to package description.
  * debian/watch: follow ocamlcore.org.

 -- Lifeng Sun <lifongsun@gmail.com>  Wed, 24 Jul 2013 15:21:15 +0800

lablgl (1.04-5) unstable; urgency=low

  * Use Tcl/Tk 8.5

 -- Stéphane Glondu <glondu@debian.org>  Thu, 17 Dec 2009 12:27:37 +0100

lablgl (1.04-4) unstable; urgency=low

  * Converted to source format 3.0 (quilt)
    - added debian/source/format
  * Fixed the Makefile in the examples to make compilation work.  Patch:
    compilation-examples. Closes: Bug#425465. Thanks a lot to Russell
    Sears for the patch!

 -- Ralf Treinen <treinen@debian.org>  Thu, 03 Dec 2009 21:50:04 +0100

lablgl (1.04-3) unstable; urgency=low

  * debian/rules: switch to dh and dh-ocaml 0.9
  * debian/control:
    - switch to dh-ocaml 0.9
    - move to section ocaml
    - add Homepage
    - update Standards-Version to 3.8.3
    - Build-depends: update dh-ocaml, ocaml and debhelper
    - Uploaders: update my e-mail address, remove Sven

 -- Stéphane Glondu <glondu@debian.org>  Wed, 23 Sep 2009 20:48:30 +0200

lablgl (1.04-2) unstable; urgency=low

  [ Stephane Glondu ]
  * Switch packaging to git
  * Add myself to Uploaders
  * Remove Julien from uploaders
  * Get closer to CDBS interface
  * Remove dpatch dependency
  * Remove versioned dependencies on OCaml introduced for experimental
  * Remove versioned dependencies available in stable
  * Add debian/clean

  [ Samuel Mimram ]
  * Upload to unstable and build with OCaml 3.11.
  * Use dh-ocaml predefined variables.

 -- Samuel Mimram <smimram@debian.org>  Wed, 25 Feb 2009 10:27:41 +0100

lablgl (1.04-1) experimental; urgency=low

  * New upstream release.
  * Updated compat to 7.
  * Updated standards version to 3.8.0.
  * Depend on libgl1-mesa-dev instead of xlibmesa-gl-dev.
  * Depend on libglu1-mesa-dev instead of libglu1-xorg-dev.
  * Depend on x11proto-core-dev instead of x-dev.

 -- Samuel Mimram <smimram@debian.org>  Tue, 10 Feb 2009 12:50:41 +0100

lablgl (1.03-4) experimental; urgency=low

  * Fixed versioning of camlp4 to force resolution against ocaml 3.11
    on experimental.

 -- Romain Beauxis <toots@rastageeks.org>  Wed, 17 Dec 2008 01:37:31 +0100

lablgl (1.03-3) experimental; urgency=low

  * Upload to experimental to build against ocaml 3.11.
  * Versioned build-dep on ocaml to avoid confusion.
  * Added build-dep on dh-ocaml (needs the file ocaml-docbase-template.txt).

 -- Romain Beauxis <toots@rastageeks.org>  Mon, 15 Dec 2008 17:12:48 +0100

lablgl (1.03-2) experimental; urgency=low

  [ Stefano Zacchiroli ]
  * fix vcs-svn field to point just above the debian/ dir

  [ Ralf Treinen ]
  * Recompiled for ocaml 3.10.2.
  * Added myself to Uploaders

 -- Ralf Treinen <treinen@debian.org>  Mon, 07 Apr 2008 20:50:45 +0200

lablgl (1.03-1) unstable; urgency=low

  * New upstream release.
  * We don't need to remove rpaths anymore.
  * Bumped standards version to 3.7.3, no changes needed.

 -- Samuel Mimram <smimram@debian.org>  Tue, 11 Dec 2007 10:03:51 +0000

lablgl (1.02-7) unstable; urgency=low

  * Build-depends on ocaml 3.10.0-8 to be able to generate *.doc-
    base.ocamldoc-apiref

 -- Sylvain Le Gall <gildor@debian.org>  Tue, 04 Sep 2007 17:53:58 +0200

lablgl (1.02-6) unstable; urgency=low

  * Generate ocamldoc documentation

 -- Sylvain Le Gall <gildor@debian.org>  Mon, 03 Sep 2007 23:16:44 +0200

lablgl (1.02-5) unstable; urgency=low

  [ Samuel Mimram ]
  * Correct symlink for lablglut manpage (closes: #435895).
  * Updated watch file.

  [ Sylvain Le Gall ]
  * Upgrade build-dep on ocaml to version 3.10.0

 -- Sylvain Le Gall <gildor@debian.org>  Mon, 03 Sep 2007 16:36:57 +0200

lablgl (1.02-4) experimental; urgency=low

  * Rebuild for ocaml 3.10.0
  * Don't ignore errors in $(MAKE) clean
  * Add myself to uploader
  * Use binary:Version
  * Add manpages for lablgl, lablglut
  * Remove file generated from debian/*.in

 -- Sylvain Le Gall <gildor@debian.org>  Sat, 14 Jul 2007 02:40:56 +0200

lablgl (1.02-3) unstable; urgency=low

  * Build-Depend on debhelper (>= 4.0) since we use compat level 4.
  * Improve copyright file and add missing information there.
  * Move README.Debian to TODO.
  Thanks to Christoph Berg for his remarks about all this.

 -- Julien Cristau <julien.cristau@ens-lyon.org>  Thu, 22 Jun 2006 20:52:30 +0200

lablgl (1.02-2) unstable; urgency=low

  * Rebuild with OCaml 3.09.2.
  * Updated standards version to 3.7.2, no changes needed.

 -- Samuel Mimram <smimram@debian.org>  Mon, 15 May 2006 21:23:56 +0000

lablgl (1.02-1) unstable; urgency=low

  * New upstream release.
  * Rebuild with OCaml 3.09.1.

 -- Samuel Mimram <smimram@debian.org>  Sat,  7 Jan 2006 13:02:34 +0100

lablgl (1.01-9) unstable; urgency=low

  * Build-dep on chrpath and delete the rpath from the stub libraries.
  * Drop lintian overrides.
  * Add myself to Uploaders.
  * liblablgl-ocaml-dev depends on libxmu-dev (Closes: #336128) and
    freeglut3-dev (Closes: #295969).
  * Use freeglut3-dev instead of libglut3-dev in Build-Depends.

 -- Julien Cristau <julien.cristau@ens-lyon.org>  Wed, 30 Nov 2005 19:46:16 +0100

lablgl (1.01-8) unstable; urgency=low

  * Rebuilt for ocaml 3.09.0.
  * No hardcoded ocaml abi versions anymore.

 -- Sven Luther <luther@debian.org>  Thu, 27 Oct 2005 22:29:48 +0000

lablgl (1.01-7) unstable; urgency=low

  [ Julien Cristau ]
  * libXxf86vm is not used by lablgl, so we:
    + remove libxxf86vm-dev dependency from liblablgl-ocaml-dev.
    + remove -lXxf86vm from Makefile.config.
    (Closes: #325915)

  [ Samuel Mimram ]
  * New maintainer, added myself to uploaders.

 -- Samuel Mimram <smimram@debian.org>  Fri,  9 Sep 2005 13:08:23 +0200

lablgl (1.01-6) unstable; urgency=low

  * Added a watch file
  * Added dependency to libglu1-xorg-dev as an alternative to
    xlibmesa-glu-dev.
    (Closes: #319281)
  * Cleanup Build-depends, with explanations for each of them:
    replace xlibs-dev with individual library packages, add tcl8.4-dev, remove
    libncurses5-dev.
    Also remove libxxf86vm-dev, which is not needed. (Julien Cristau)
  * Upgrade to standards 3.6.2.0 (no change)

 -- Sven Luther <luther@debian.org>  Mon, 29 Aug 2005 23:24:14 +0200

lablgl (1.01-5) unstable; urgency=low

  * debian/Makefile.config
    - added -lXxf86vm to XLIBS, fixes FTBFS with xorg
  * debian/control
    - added build-dep on libxxf86vm-dev
    - added dep from -dev to libxxf86vm-dev
  * changed svn repo structure so that it is compatible with
    svn-buildpackage

 -- Stefano Zacchiroli <zack@debian.org>  Sat, 23 Jul 2005 17:13:43 +0200

lablgl (1.01-4) unstable; urgency=medium

  * Rebuilt against ocaml 3.08.3.

 -- Sven Luther <luther@debian.org>  Tue, 22 Mar 2005 08:52:49 +0100

lablgl (1.01-3) unstable; urgency=low

  * Added labltk to togl META-dependencies. (Closes: #288837)

 -- Sven Luther <luther@debian.org>  Wed,  5 Jan 2005 23:30:58 +0100

lablgl (1.01-2) unstable; urgency=low

  * Build with build-depends as ocaml, ocaml-3.08, to see if we can work
    around the autobuilder bug with virtual packages this way.

 -- Sven Luther <luther@debian.org>  Tue, 27 Jul 2004 17:41:41 +0200

lablgl (1.01-1) unstable; urgency=low

  * New upstream version.
  * Built with ocaml 3.08.

 -- Sven Luther <luther@debian.org>  Thu, 15 Jul 2004 14:14:44 +0200

lablgl (1.00-4) unstable; urgency=low

  * Changed build-depends to use new xlibmesa-glu package name.
    (Closes: #244805)

 -- Sven Luther <luther@debian.org>  Wed, 26 May 2004 09:39:17 +0200

lablgl (1.00-3) unstable; urgency=low

  * Added new META files from Stefano, conflicts with older version of
    findlib though.

 -- Sven Luther <luther@debian.org>  Wed, 14 Jan 2004 21:38:46 +0100

lablgl (1.00-2) unstable; urgency=high

  * Since ocaml now is version 3.07+2, modified debian/rules to use ocamlc
    -where instead of ocamlc -version.

 -- Sven Luther <luther@debian.org>  Mon, 20 Oct 2003 09:20:44 +0200

lablgl (1.00-1) unstable; urgency=low

  * New upstream release.
    (Adds support for glut, GlArray and some other extensions)

 -- Sven Luther <luther@debian.org>  Fri, 10 Oct 2003 15:26:10 +0200

lablgl (0.99-16) unstable; urgency=low

  * Rebuilt for ocaml 3.07.

 -- Sven Luther <luther@debian.org>  Wed,  1 Oct 2003 16:15:29 +0200

lablgl (0.99-15) unstable; urgency=low

  * Still struggling with the libgl/libglu dependencies, since the -14 didn't
    build on Stefano's Woody backport. It seems that i have to put the virtual
    build-depends last in the alternatives.

 -- Sven Luther <luther@debian.org>  Sat, 15 Mar 2003 13:32:18 +0100

lablgl (0.99-14) unstable; urgency=low

  * Hope i did it right this time :(((

 -- Sven Luther <luther@debian.org>  Fri, 14 Mar 2003 12:38:09 +0100

lablgl (0.99-13) unstable; urgency=low

  * The 0.99-10 change disappeared, re-added it :((((

 -- Sven Luther <luther@debian.org>  Fri, 14 Mar 2003 09:52:07 +0100

lablgl (0.99-12) unstable; urgency=low

  * Well, the pre gl/glu split xlibmesa packages where xlibmesa and
    xlibmesa-dev.

 -- Sven Luther <luther@debian.org>  Wed, 12 Mar 2003 11:31:06 +0100

lablgl (0.99-11) unstable; urgency=low

  * Added a shlibs.local override for the libglu1 dependency in
    liblablgl-ocaml, so that it can also handle pre gl/glu split
    xlibmesa3-gl Packages.

 -- Sven Luther <luther@debian.org>  Mon, 10 Mar 2003 13:44:15 +0100

lablgl (0.99-10) unstable; urgency=low

  * Apparently XFree86 4.2.1-6 is not yet building on arm and alpha, so we
    have to workaround the xlibmesa-glu-dev does not depend on xlibmesa3-glu
    but ourselves.

 -- Sven Luther <luther@debian.org>  Mon, 10 Mar 2003 12:20:03 +0100

lablgl (0.99-9) unstable; urgency=low

  * Changed build dependencies and dependencies again to xlibmesa, since the
    the problem with xlibmesa-glu was fixed. Also, added an alternative glu
    dependency on the xlimesa-gl-dev from before the gl/glu split. I hope this
    will make lablgl fit to enter testing, or at lest it will not be stopped
    by the nonexistent libglu packages in current testing, so we don't have to
    wait for either mesa 5 or xfree86 to be ready.

 -- Sven Luther <luther@debian.org>  Mon, 10 Mar 2003 10:11:04 +0100

lablgl (0.99-8) unstable; urgency=low

  * Downgraded tcl/tk dependency on 8.3 again, since i was not able to build
    ocaml 3.06 with 8.4. I hope that forthcoming 3.07 will be buildable with
    tcl/tk 8.4, and that i could then upgrade the dependency again.
    (Closes: #183920)

 -- Sven Luther <luther@debian.org>  Sat, 08 Mar 2003 13:06:21 +0100

lablgl (0.99-7) unstable; urgency=low

  * Removed the old mesag3-glide2 conflict, as it doesn't seem necessary
    anymore.

 -- Sven Luther <luther@debian.org>  Fri, 14 Feb 2003 11:54:32 +0100

lablgl (0.99-6) unstable; urgency=low

  * Still problems on hppa autobuilder, testing built with mesa instead of
    the xlibmesa. This will also allow us to build on ia64 and mips, where the
    latest XFree86 packages providing xlibmesa-glu fail to build.

 -- Sven Luther <luther@debian.org>  Thu, 13 Feb 2003 15:51:50 +0100

lablgl (0.99-5) unstable; urgency=low

  * Now also build depend on xlibmesa3-glu, which xlibmesa-glu-dev doesn't
    seem to depend on. Hope this fixes the build problem.

 -- Sven Luther <luther@debian.org>  Thu, 13 Feb 2003 12:42:22 +0100

lablgl (0.99-4) unstable; urgency=low

  * Changed the tcl/tk to depend on tcl/tk 8.4.
    (Closes: #180793)

 -- Sven Luther <luther@debian.org>  Wed, 12 Feb 2003 22:12:19 +0100

lablgl (0.99-3) unstable; urgency=low

  * Added build dependencies on the -glu packages and normal dependencies on
    the gl and glu developpment packages.

 -- Sven Luther <luther@debian.org>  Tue, 11 Feb 2003 13:30:42 +0100

lablgl (0.99-2) unstable; urgency=low

  * Added META file, courtesy of Stefano Zacchiroli.

 -- Sven Luther <luther@debian.org>  Fri, 24 Jan 2003 11:47:42 +0100

lablgl (0.99-1) unstable; urgency=low

  * New upstream release.

 -- Sven Luther <luther@debian.org>  Fri, 10 Jan 2003 10:47:37 +0100

lablgl (0.98-4) unstable; urgency=low

  * Rebuilt for ocaml 3.06-13.
  * Closes: #164222, actually already in 0.98-3.
  * Added glBindTexture patch from Chris.

 -- Sven Luther <luther@debian.org>  Sat, 14 Dec 2002 23:09:54 +0100

lablgl (0.98-3) unstable; urgency=low

  * added lablGL as a symlink to lablgl.

 -- Sven Luther <luther@debian.org>  Wed, 20 Nov 2002 09:09:29 +0100

lablgl (0.98-2) unstable; urgency=low

  * Changed Build-depends.

 -- Sven Luther <luther@debian.org>  Mon, 30 Sep 2002 18:07:28 +0200

lablgl (0.98-1) unstable; urgency=low

  * New upstream release.
  * Built with ocaml 3.06.

 -- Sven Luther <luther@debian.org>  Wed, 21 Aug 2002 19:41:17 +0200

lablgl (0.97-2) unstable; urgency=low

  * Adapting to the new shared library split scheme.
  * Now conflicts with mesag3-glide2, since it does not provide the propers
    glut 1.3 bindings. Notice that it is possible to build lablgl with
    mesag3-glide2, it is just not enabled by default.

 -- Sven Luther <luther@debian.org>  Wed, 20 Feb 2002 00:01:42 +0100

lablgl (0.97-1) unstable; urgency=low

  * New upstream version for ocaml 3.04.

 -- Sven Luther <luther@debian.org>  Thu, 20 Dec 2001 10:22:40 +0100

lablgl (0.95-1.1) unstable; urgency=low

  * Rebuilt for ocaml 3.02

 -- Sven Luther <luther@debian.org>  Fri, 16 Mar 2001 10:00:58 +0100

lablgl (0.95-1) unstable; urgency=low

  * New upstream release

 -- Sven Luther <luther@debian.org>  Fri, 16 Mar 2001 10:00:58 +0100

lablgl (0.94-2) unstable; urgency=low

  * Added some build dependencies, ...

 -- Sven Luther <luther@debian.org>  Sun, 25 Feb 2001 19:59:30 +0100

lablgl (0.94-1) unstable; urgency=low

  * Initial Release.

 -- Sven Luther <luther@debian.org>  Sun,  3 Dec 2000 11:06:58 +0100
